<?php

return array(

	/*
	|--------------------------------------------------------------------------
	| Enable Query Strings
	|--------------------------------------------------------------------------
	|
	| By default CodeIgniter uses search-engine friendly segment based URLs:
	| example.com/who/what/where/
	|
	| By default CodeIgniter enables access to the $_GET array.  If for some
	| reason you would like to disable it, set 'allow_get_array' to FALSE.
	|
	| You can optionally enable standard query string based URLs:
	| example.com?who=me&what=something&where=here
	|
	| Options are: TRUE or FALSE (boolean)
	|
	| The other items let you set the query string 'words' that will
	| invoke your controllers and its functions:
	| example.com/index.php?c=controller&m=function
	|
	| Please note that some of the helpers won't work as expected when
	| this feature is enabled, since CodeIgniter is designed primarily to
	| use segment based URLs.
	|
	*/
	'allow_get_array' => TRUE,
	'enable_query_strings' => FALSE,
	'controller_trigger' => 'c',
	'function_trigger' => 'm',
	'directory_trigger' => 'd',

	/*
	|--------------------------------------------------------------------------
	| Allowed URL Characters
	|--------------------------------------------------------------------------
	|
	| This lets you specify which characters are permitted within your URLs.
	| When someone tries to submit a URL with disallowed characters they will
	| get a warning message.
	|
	| As a security measure you are STRONGLY encouraged to restrict URLs to
	| as few characters as possible.  By default only these are allowed: a-z 0-9~%.:_-
	|
	| Leave blank to allow all characters -- but only if you are insane.
	|
	| The configured value is actually a regular expression character group
	| and it will be executed as: ! preg_match('/^[<permitted_uri_chars>]+$/i
	|
	| DO NOT CHANGE THIS UNLESS YOU FULLY UNDERSTAND THE REPERCUSSIONS!!
	|
	*/
	'permitted_uri_chars' => 'a-z 0-9~%.:_\-',

	/*
	|--------------------------------------------------------------------------
	| URI PROTOCOL
	|--------------------------------------------------------------------------
	|
	| This item determines which server global should be used to retrieve the
	| URI string.  The default setting of 'REQUEST_URI' works for most servers.
	| If your links do not seem to work, try one of the other delicious flavors:
	|
	| 'REQUEST_URI'    Uses $_SERVER['REQUEST_URI']
	| 'QUERY_STRING'   Uses $_SERVER['QUERY_STRING']
	| 'PATH_INFO'      Uses $_SERVER['PATH_INFO']
	|
	| WARNING: If you set this to 'PATH_INFO', URIs will always be URL-decoded!
	*/	
    'uri_protocol' => 'REQUEST_URI',

	/*
	|--------------------------------------------------------------------------
	| URL suffix
	|--------------------------------------------------------------------------
	|
	| This option allows you to add a suffix to all URLs generated by CodeIgniter.
	| For more information please see the user guide:
	|
	| https://codeigniter.com/user_guide/general/urls.html
	*/
    'url_suffix' => '',

    'default_controller' => 'standard',
    'default_function' => 'index',

);
